// See https://kit.svelte.dev/docs/types#app

import type { User } from '$lib/types';

// for information about these interfaces
declare global {
	namespace App {
		interface Error {
			message: string;
			errorId: string;
		}
		interface Locals {
			user: User | null;
		}
		interface PageData {
			user: User | null;
		}
		// interface Platform {}
	}
}

export { };

